## Function template matches

boost::log::expressions::matches

## Synopsis

    // In header: <boost/log/expressions/predicates/matches.hpp>

    template<typename T, typename FallbackPolicyT, typename TagT,
             template< typename > class ActorT, typename RegexT>
      unspecified matches(attribute_actor< T, FallbackPolicyT, TagT, ActorT > const & attr,
                          RegexT const & rex);

## Description

The function generates a terminal node in a template expression. The node will check if the attribute value, which is assumed to be a string, matches the specified regular expression.